#include <glib.h>
#include <glib-object.h>
#include "makuobject.h"


MakuObject *maku = NULL;


void session_idle_changed_cb (gpointer instance, gboolean arg, gpointer user_data)
{
	g_print ("session_idle_changed_cb called!\n");
	g_print ("Signal payload : %s\n\n\n", (arg)?"TRUE":"FALSE");
}


int main (void)
{
	GMainLoop *mainloop;
	
	g_type_init ();

	mainloop = g_main_loop_new (NULL, FALSE);	
	maku = g_object_new (MAKU_TYPE_OBJECT, NULL);
	g_signal_connect (maku, "session-idle-changed", G_CALLBACK (session_idle_changed_cb), NULL);
	
	g_print ("Maku's age = %d\n\n\n", maku->age);
	
	/* to let ScreenSaverApp emit the related signal - SessionIdleChanged - do basically nothing! */
	
	//g_main_loop_run (mainloop);
	
	maku_object_say_hello (maku);
	
	g_object_unref (maku);
	
	return 0;
}


